Skip to main content
POST
/
call-logs
/
{assistant_id}
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

response = client.call_logs.get_logs(
    assistant_id="all",
    limit=20,
    page=1,
    before="2026-02-01T00:00:00Z",
    after="2026-01-01T00:00:00Z",
    status="completed",
    campaign_id="demo_call",
    search_query="Ava"
)
print(response)
{
  "success": true,
  "data": {
    "calls": [
      {
        "id": "b98d6318-5e5c-40c1-b9b3-805688506d92",
        "assistantId": "88c05f57-4aa2-40a6-b12a-848596260dae",
        "type": null,
        "cost": 0.02,
        "endedReason": "Customer Hangup",
        "status": "ended",
        "startedAt": "2026-04-20T06:59:42.449948+00:00",
        "endedAt": "2026-04-20T07:00:02.943036+00:00",
        "transcript": [
          {
            "id": "item_86abffec7b54",
            "type": "message",
            "role": "assistant",
            "content": [
              "नमस्ते! मैं पूजा बोल रही हूँ, आवरण होम प्लस से।"
            ],
            "interrupted": false,
            "extra": {},
            "metrics": {
              "tts_node_ttfb": 0.2542913980000776
            },
            "created_at": "2026-04-20T06:59:46.379377+00:00",
            "message": "नमस्ते! मैं पूजा बोल रही हूँ, आवरण होम प्लस से।"
          },
          {
            "id": "item_d16599786c31",
            "type": "message",
            "role": "assistant",
            "content": [
              "Can you hear me?"
            ],
            "interrupted": false,
            "extra": {},
            "metrics": {
              "started_speaking_at": 1776668389.9128273,
              "stopped_speaking_at": 1776668390.9525201,
              "tts_node_ttfb": 0.14719204099992567
            },
            "created_at": "2026-04-20T06:59:50.952606+00:00",
            "message": "Can you hear me?"
          },
          {
            "id": "item_d90d02b3164c",
            "type": "message",
            "role": "assistant",
            "content": [
              "Are you there?"
            ],
            "interrupted": false,
            "extra": {},
            "metrics": {
              "started_speaking_at": 1776668394.9146988,
              "stopped_speaking_at": 1776668395.8504355,
              "tts_node_ttfb": 0.14871830199990654
            },
            "created_at": "2026-04-20T06:59:55.850494+00:00",
            "message": "Are you there?"
          }
        ],
        "recordingUrl": "https://static.pathora.in/pluto_recordings/b98d6318-5e5c-40c1-b9b3-805688506d92.ogg",
        "summary": {
          "Summary": "The customer did not respond during the call. No information or intent was provided.",
          "Remarks": {
            "Intent": "None",
            "Next Call-to-Action": "None"
          },
          "Call Outcome": {
            "RSVP": "None",
            "Callback Requested": "None",
            "Callback Timeframe": "None",
            "Key Questions/Concerns": "None",
            "Follow-up Actions": "None"
          },
          "Customer Stage": {
            "Stage": "Not Picked"
          },
          "Additional Notes": {
            "Objections/Concerns": "None",
            "Visit Commitment": "None"
          }
        },
        "createdAt": "2026-04-20T06:59:42.449948+00:00",
        "updatedAt": "2026-04-20T07:00:02.943036+00:00",
        "orgId": "user_3763mSwxXbCByARq7E92FpJcJ71",
        "call_duration_seconds": 20.493088,
        "agent_id": "88c05f57-4aa2-40a6-b12a-848596260dae",
        "user_id": "user_3763mSwxXbCByARq7E92FpJcJ71",
        "campaign_id": "demo_call_web",
        "to_number": null,
        "from_number": null,
        "telecom_total_cost": null,
        "call_direction": null,
        "contact_name": null
      }
    ],
    "total": 1,
    "total_cost": 0.02,
    "avg_duration": 20.49,
    "total_duration": 20.49
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.superu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Path Parameters

assistant_id
string
required

Assistant ID or all

Example:

"all"

Query Parameters

limit
integer
default:20

Records per page

Required range: 1 <= x <= 100
Example:

20

page
integer
default:1

Page number

Required range: x >= 1
Example:

1

before
string

Upper timestamp/date bound

Example:

"2026-02-01T00:00:00Z"

after
string

Lower timestamp/date bound

Example:

"2026-01-01T00:00:00Z"

status
string

Call status filter

Example:

"completed"

campaign_id
string

Campaign filter

Example:

"demo_call"

search_query
string

Search filter

Example:

"Ava"

Response

Call logs returned

success
boolean
data
object
Hangup Causes
CauseDescription
Normal Completions
Agent HangupAgent hangup the call
Normal HangupCall terminated normally
End of XML InstructionsNo more XML instructions to execute
Multipart Call EndedMPC ended via API or max duration
Kicked Out of Multiparty CallParticipant removed via API
Canceled Calls
UnknownHangup reason undetermined
CanceledCall canceled via Hangup Call API before answer
Canceled (Out of Credits)Account ran out of credits
Canceled (Simultaneous dial limit reached)Simultaneous dial limit exceeded
Destination Issues
Invalid Destination AddressDestination number/endpoint invalid
Destination Out of ServiceDestination unavailable
Endpoint Not RegisteredSIP endpoint unregistered/unreachable
Destination Country BarredCountry disabled in geo permissions
Destination Number BarredPremium rate numbers disabled
Destination Prefix BarredPrefix not permitted
Loop DetectedB-leg would redial A leg's number
Violates Media AnchoringIndia PSTN regulation violation
Call Rejections
No AnswerDestination unavailable/unreachable
Busy LineDestination is busy
RejectedCall rejected by called party
Unkown Caller IDNon-Plivo number used as caller ID
ForbidddenDestination rejected/blocked call
Unallocated numberDestination invalid or out of service
Carrier Errors
Request timeoutCarrier didn't respond in time
Internal server error from carrierCarrier encountered error
Network congestion from carrierCarrier network overloaded
Busy everywhereAll destination endpoints busy
DeclinedDestination cannot/won't participate
User does not exist anywhereEnd user doesn't exist
Spam blockCarrier rejected due to spam flag
DNO Caller IDCaller ID on Do Not
System Errors
Network ErrorFatal network condition
Internal ErrorPlivo system error
Routing ErrorCould not route to destination
Concurrency Limit BreachedIndia concurreny call limit exceeded
Timeouts
Scheduled HangupMax call duration reached
Ring Timeout ReachedNot answered within ring timeout
Media TimeoutNo media packets for 60 seconds
URL Errors
Error Reaching Answer URLNon-2xx response from answer URL
Error Reaching Action URLNon-2xx response from action URL
Error Reaching Transfer URLNon-2xx response from transfer URL
Error Reaching Redirect URLNon-2xx response from redirect URL
Invalid Action URLAction URL not valid
Invalid Transfer URLTransfer URL not valid
Invalid Redirect URLRedirect URL not valid
Invalid Method for Action URLUnsupported HTTP method
Invalid Method for Transfer URLUnsupported HTTP method
Invalid Method for Redirect URLUnsupported HTTP method
XML Errors
Invalid Answer XMLAnswer URL returned invalid XML
Invalid Action XMLAction URL returned invalid XML
Invalid Transfer XMLTransfer URL returned invalid XML
Invalid Redirect XMLRedirect URL returned invalid XML
Special Cases
Lost RaceAnother parallel B-leg answered first
Machine DetectedAnswered by answering machine
Confirm Key Challenge FailedParticipant failed to enter confirm key